#!/usr/bin/env fish
# vim:set ft=fish ai et sw=4 ts=4:# fzf keybindings
fzf_configure_bindings --directory=\cf --git_log=\cg --git_status=\cs --processes=\cp

# environment vars
set -gx BAT_THEME "Catppuccin"
set -gx PAGER "less -X"
set -gx MANPAGER "less -X"
set -gx LS_COLORS (cat ~/.lscolors.sh)
set -gx GOPATH "$HOME/go"
set -gx LANG en_US.UTF-8
set -gx EDITOR nvim
set -gx XDG_DATA_DIRS "$XDG_DATA_DIRS:/var/lib/flatpak/exports/share:$HOME/.local/share/flatpak/exports/share"
set -gx MANPATH "/usr/share/man:/usr/local/share/man:/var/home/jas/.fzf/man"

# set FZF colors
set -Ux FZF_DEFAULT_OPTS "--color=bg+:#302D41,bg:#1E1E2E,spinner:#F8BD96,hl:#F28FAD --color=fg:#D9E0EE,header:#F28FAD,info:#DDB6F2,pointer:#F8BD96 --color=marker:#F8BD96,fg+:#F2CDCD,prompt:#DDB6F2,hl+:#F28FAD"

# keybinding for fzf-marks
bind \eg "fzm"

# set TERM
set -Ux TERM screen-256color

# set PATH
set -ga fish_user_paths "$GOPATH/bin"
set -ga fish_user_paths "$HOME/.cargo/bin"
set -ga fish_user_paths "/usr/local/bin"
set -ga fish_user_paths "/usr/local/sbin"
set -ga fish_user_paths "/usr/bin"
set -ga fish_user_paths "/usr/sbin"
set -ga fish_user_paths "/bin"
set -ga fish_user_paths "/sbin"
set -ga fish_user_paths "$HOME/.local/bin"
set -ga fish_user_paths "$HOME/bin"
set -ga fish_user_paths "$HOME/.nimble/bin"

# colored-man settings
set -g man_blink -o red
set -g man_bold -o FF80BF
set -g man_standout -b cyan black
set -g man_underline -u 8AFF80

starship init fish | source
